- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# mmap_args Struct Reference

`#include <sysproto.h>`

## Data Fields
caddr_t | addr
char | addr_l_ [0]
char | addr_r_ [(sizeof(register_t)<=sizeof(caddr_t)?0:sizeof(register_t)-sizeof(caddr_t))]
int | fd
char | fd_l_ [0]
char | fd_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
int | flags
char | flags_l_ [0]
char | flags_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
size_t | len
char | len_l_ [0]
char | len_r_ [(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]
int | pad
char | pad_l_ [0]
char | pad_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
off_t | pos
char | pos_l_ [0]
char | pos_r_ [(sizeof(register_t)<=sizeof(off_t)?0:sizeof(register_t)-sizeof(off_t))]
int | prot
char | prot_l_ [0]
char | prot_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

## Detailed Description

Definition at line 112 of file sysproto.h.

## Field Documentation

caddr_t mmap_args::addr

Definition at line 113 of file sysproto.h.

Referenced by mmap().

char mmap_args::addr_l_[0]

Definition at line 113 of file sysproto.h.

char mmap_args::addr_r_[(sizeof(register_t)<=sizeof(caddr_t)?0:sizeof(register_t)-sizeof(caddr_t))]

Definition at line 113 of file sysproto.h.

int mmap_args::fd

Definition at line 117 of file sysproto.h.

Referenced by mmap().

char mmap_args::fd_l_[0]

Definition at line 117 of file sysproto.h.

char mmap_args::fd_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 117 of file sysproto.h.

int mmap_args::flags

Definition at line 116 of file sysproto.h.

Referenced by mmap().

char mmap_args::flags_l_[0]

Definition at line 116 of file sysproto.h.

char mmap_args::flags_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 116 of file sysproto.h.

size_t mmap_args::len

Definition at line 114 of file sysproto.h.

Referenced by mmap().

char mmap_args::len_l_[0]

Definition at line 114 of file sysproto.h.

char mmap_args::len_r_[(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

Definition at line 114 of file sysproto.h.

int mmap_args::pad

Definition at line 118 of file sysproto.h.

Referenced by mmap().

char mmap_args::pad_l_[0]

Definition at line 118 of file sysproto.h.

char mmap_args::pad_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 118 of file sysproto.h.

off_t mmap_args::pos

Definition at line 119 of file sysproto.h.

Referenced by mmap().

char mmap_args::pos_l_[0]

Definition at line 119 of file sysproto.h.

char mmap_args::pos_r_[(sizeof(register_t)<=sizeof(off_t)?0:sizeof(register_t)-sizeof(off_t))]

Definition at line 119 of file sysproto.h.

int mmap_args::prot

Definition at line 115 of file sysproto.h.

Referenced by mmap().

char mmap_args::prot_l_[0]

Definition at line 115 of file sysproto.h.

char mmap_args::prot_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 115 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h